/*************************************************************************/
/*************************************************************************/
/*                                                                       */
/*  File Name : AirMutation.h                                            */
/*                                                                       */
/*       Date : May, 1997                                                */
/* Updated at : December 6, 1997                                         */
/*                                                                       */
/*     Author : H. Timucin OZDEMIR                                       */
/*                                                                       */
/*************************************************************************/
/*  
    Mutation Operator for Airline Crew Scheduling            
*/
/*************************************************************************/

#include "AirMutation.h"
#include "AirChromosomes.h"
#include "../deffunc.h"
#include <MutationOperator.h>
#include <stdlib.h>
#include <stdio.h>
#include <iostream.h>
#include <fstream.h>

/*************************************************************************/
/**                                                                      */
/*************************************************************************/

AirMutation::AirMutation()
{  debug = 1; }

/*************************************************************************/
/**                                                                      */
/*************************************************************************/

AirMutation::~AirMutation()
{  cout << " de allocate AirMutation " << endl; }

/*************************************************************************/
/**                                                                      */
/*************************************************************************/

Chromosomes * AirMutation::apply(Chromosomes *_or)
{

   return _or;

}// end of apply()

/*************************************************************************/
/**                                                                      */
/*************************************************************************/

ChromosomesBag AirMutation::apply(Chromosomes *_or,
				  Chromosomes *_fr, float percent)
{
   ChromosomesBag ret(1);

   Chromosomes * retChro = apply(_or);

   /*************************************************/
   /** If the result of Mutation is not Empty, then */
   /** add this new chomosome to the solution bag.  */
   /*************************************************/

   if( retChro != NULL ) ret.addChromosomes(retChro);

   return ret;

}// end of apply()

